module Md2site
  #
  # infoサブコマンドクラス
  class Info
    #
    # 初期化
    #
    # @param env [Env] Envクラスのインスタンス
    # @param mes [Messagex] Messagexクラスのインスタンス
    def initialize(env, mes)
      @env = env
      @mes = mes
    end

    #
    # サブコマンド実行
    #
    # @param option [Struct] オプションストラクト
    # @return [void]
    def execute_subcommand(option)
      case option.name
      when "zlist"
        @env.make_zlist.map {|x| @mes.output_fatal(x) }
      when "zindex"
        @env.make_zindex_html
      end
    end
  end
end
